// *************************************************************** //
// Filename:    Splash.cpp                                         //
//                                                                 //
// Date:        November 26, 1993                                  //
//                                                                 //
// Description:                                                    //
// *************************************************************** //
#include "Splash.h"

// --------------------------------------------------------------- //
// SplashWindow constructor                                       //
// --------------------------------------------------------------- //
TSplashWindow::TSplashWindow() :
  TWindow(0, 0, 0)
{
}

// --------------------------------------------------------------- //
// SplashWindow destructor                                        //
// --------------------------------------------------------------- //
TSplashWindow::~TSplashWindow()
{
}

// --------------------------------------------------------------- //
// GetClassName                                                    //
// --------------------------------------------------------------- //
char *TSplashWindow::GetClassName()
{
  return "SplashClass";
}

// --------------------------------------------------------------- //
// GetWindowClass                                                  //
// --------------------------------------------------------------- //
void TSplashWindow::GetWindowClass(WNDCLASS &wc)
{
  TWindow::GetWindowClass(wc);
  wc.hbrBackground = (HBRUSH)GetStockObject(LTGRAY_BRUSH);
}

// --------------------------------------------------------------- //
// SetupWindow                                                     //
// --------------------------------------------------------------- //
void TSplashWindow::SetupWindow()
{
  TWindow::SetupWindow();
  // put new stuff here
  TTemporaryDialog tempDlg(NULL, "SplashDialog");
  tempDlg.Execute();
}

// --------------------------------------------------------------- //
// CleanupWindow                                                   //
// --------------------------------------------------------------- //
void TSplashWindow::CleanupWindow()
{
  // put new stuff here
  TWindow::CleanupWindow();
}

// --------------------------------------------------------------- //
// Response table for SplashWindow                                //
// --------------------------------------------------------------- //
DEFINE_RESPONSE_TABLE1(TSplashWindow, TWindow)
END_RESPONSE_TABLE;


