// *************************************************************** //
// Filename:    Splash.h                                           //
//                                                                 //
// Date:        November 26, 1993                                  //
//                                                                 //
// Description:                                                    //
// *************************************************************** //

#ifndef Splash_H
#define Splash_H

#include <owl\owlcore.h>
#pragma hdrstop
#include "Splash.rh"

// --------------------------------------------------------------- //
// SplashApplication                                              //
// --------------------------------------------------------------- //
class TSplashApp : public TApplication 
{
  public:
    TSplashApp();
   ~TSplashApp();
    void InitMainWindow();
};

// --------------------------------------------------------------- //
// SplashWindow                                                   //
// --------------------------------------------------------------- //
class TSplashWindow : public TWindow 
{
  public:
    TSplashWindow();
   ~TSplashWindow();

    void GetWindowClass(WNDCLASS& wndClass);
    char *GetClassName();
    void SetupWindow();
    void CleanupWindow();
  
    DECLARE_RESPONSE_TABLE(TSplashWindow);
};

// --------------------------------------------------------------- //
// Temporary Dialog                                                //
// --------------------------------------------------------------- //
const int IdTimer=1;
const int TimeOut=5000;
class TTemporaryDialog : public TDialog
{
  protected:
    void EvTimer(UINT);
  public:
    TTemporaryDialog(TWindow *, TResId);
   ~TTemporaryDialog();
    void SetupWindow();
    void CleanupWindow();

    DECLARE_RESPONSE_TABLE(TTemporaryDialog);
};

#endif


