// *************************************************************** //
// Filename:    Temporary.cpp                                      //
//                                                                 //
// Date:        November 26, 1993                                  //
//                                                                 //
// Description:                                                    //
// *************************************************************** //
#include "splash.h"

// --------------------------------------------------------------- //
// constructor                                                     //
// --------------------------------------------------------------- //
TTemporaryDialog::TTemporaryDialog(TWindow *Parent, TResId ResId) :
  TDialog(Parent, ResId), TWindow(Parent, 0)
{
}

// --------------------------------------------------------------- //
// destructor                                                      //
// --------------------------------------------------------------- //
TTemporaryDialog::~TTemporaryDialog()
{
}

// --------------------------------------------------------------- //
// SetupWindow                                                     //
// --------------------------------------------------------------- //
void TTemporaryDialog::SetupWindow()
{
  TDialog::SetupWindow();
  // put new stuff here
  SetTimer(IdTimer, TimeOut);
  TRect screenRect;
  ::GetWindowRect(GetDesktopWindow(), &screenRect);
  TRect dialogRect;
  GetWindowRect(dialogRect);
  int x = (screenRect.right-screenRect.left)/2 - 
    (dialogRect.right-dialogRect.left)/2;
  int y = (screenRect.bottom-screenRect.top)/2 - 
    (dialogRect.bottom-dialogRect.top)/2;
  SetWindowPos(NULL, x, y, 0, 0, SWP_NOSIZE | SWP_NOZORDER);
}

// --------------------------------------------------------------- //
// CleanupWindow                                                   //
// --------------------------------------------------------------- //
void TTemporaryDialog::CleanupWindow()
{
  // put new stuff here
  TDialog::CleanupWindow();
}

// --------------------------------------------------------------- //
// EvTimer                                                         //
// --------------------------------------------------------------- //
void TTemporaryDialog::EvTimer(UINT)
{
  KillTimer(IdTimer);             // get rid of timer
  PostMessage(WM_CLOSE, 0, 0);    // close the dialog
}

// --------------------------------------------------------------- //
// Response table                                                  //
// --------------------------------------------------------------- //
DEFINE_RESPONSE_TABLE1(TTemporaryDialog, TDialog)
  EV_WM_TIMER,
END_RESPONSE_TABLE;

